Package groovy.util

## Enum ObservableList.ChangeType

- java.lang.Object
- - java.lang.Enum<ObservableList.ChangeType>
  - - groovy.util.ObservableList.ChangeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ObservableList.ChangeType>`
  Enclosing class:
    ObservableList

      public static enum ObservableList.ChangeType
      extends java.lang.Enum<ObservableList.ChangeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADDED` |
    `CLEARED` |
    `MULTI_ADD` |
    `MULTI_REMOVE` |
    `NONE` |
    `REMOVED` |
    `UPDATED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.Object` | `newValue` |
    `static java.lang.Object` | `oldValue` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObservableList.ChangeType` | `resolve​(int ordinal)` |
    `static ObservableList.ChangeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ObservableList.ChangeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final ObservableList.ChangeType ADDED

    - #### UPDATED

          public static final ObservableList.ChangeType UPDATED

    - #### REMOVED

          public static final ObservableList.ChangeType REMOVED

    - #### CLEARED

          public static final ObservableList.ChangeType CLEARED

    - #### MULTI_ADD

          public static final ObservableList.ChangeType MULTI_ADD

    - #### MULTI_REMOVE

          public static final ObservableList.ChangeType MULTI_REMOVE

    - #### NONE

          public static final ObservableList.ChangeType NONE

  - ### Field Detail

    - #### oldValue

          public static final java.lang.Object oldValue

    - #### newValue

          public static final java.lang.Object newValue

  - ### Method Detail

    - #### values

          public static ObservableList.ChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObservableList.ChangeType c : ObservableList.ChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObservableList.ChangeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### resolve

          public static ObservableList.ChangeType resolve​(int ordinal)